Type to search.

Update a conversation

Base URL
https://{kibana_url}
  • PUT /api/security_ai_assistant/current_user/conversations/{id}
Auth

Update an existing conversation using the conversation ID. This endpoint allows users to modify the details of an existing conversation.

Path parameters

id string · format: nonempty · min length: 1 required

The conversation's id value.

Example: abc123

Request body

category enum

The conversation category.

Values: assistant insights
excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

replacements map string to string

Replacements object used to anonymize/deanonymize messages

title string

The conversation title.

Responses

Indicates a successful call. The conversation was updated successfully.

application/json
category enum required

The conversation category.

Values: assistant insights
createdAt string required

The time conversation was created.

createdBy object required

Could be any string, not necessarily a UUID.

id string

User id.

name string

User name.

excludeFromLastConversationStorage boolean

Exclude from last conversation storage.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

messages object[]

The conversation messages.

Same fields as messages
namespace string required

Kibana space

replacements map string to string

Replacements object used to anonymize/deanonymize messages

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

title string required

The conversation title.

updatedAt string

The last time conversation was updated.

users object[] required
id string

User id.

name string

User name.